Reeve
DevelopersAPI ReferenceEnrich

Enqueue an enrichment job

Schedule a recipe-driven run for any target entity. Idempotent on Idempotency-Key. Results land as suggestions on /api/enrich/v1/suggestions.

POST
/api/enrich/v1/jobs

Header Parameters

X-Org-Id?string|null
Idempotency-Key?string|null
X-Reeve-Service-Token?string|null
x-user-id?string|null
authorization?string|null
x-guest-id?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/enrich/v1/jobs" \  -H "Content-Type: application/json" \  -d '{    "target": {      "host_app": "string",      "id": "string",      "kind": "string"    }  }'
{  "job_id": "string",  "status": "string"}
Empty
Empty
Empty
Empty
{  "detail": [    {      "ctx": {},      "input": null,      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}